> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.uniledger.cc/api-reference/eilith-public-rest-api/products/update-product/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.uniledger.cc/_mcp/server. # Update a product PUT https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products/{id} Content-Type: application/json Reference: https://docs.uniledger.cc/api-reference/eilith-public-rest-api/products/update-product ## Authentication - `Authorization` header (bearer token, required) — API key prefixed with uk_live_ ## Servers - `https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api` (Production, default) - `https://pmjidplmzxohyqsbajvg.supabase.co/functions/v1/platform-api` (Staging) ## Request ### Path parameters - `id` (string, required) ### Body (application/json) This endpoint expects an object. - `sku` (string, optional) - `name` (string, optional) - `item_type` (string, optional) - `status` (string, optional) - `default_uom` (string, optional) - `cost_method` (string, optional) - `description` (string, optional) - `reorder_point` (double, optional) - `reorder_qty` (double, optional) - `is_stockable` (boolean, optional) - `is_purchasable` (boolean, optional) - `is_sellable` (boolean, optional) - `is_manufacturable` (boolean, optional) - `standard_cost` (double, optional) - `image_url` (string, optional) ## Response ### 200 Product updated - `data` (InventoryItem, optional) ## Errors ### 404 Not Found Error Not found - `any` ## Types ### InventoryItem - `id` (string, optional) - `tenant_id` (string, optional) - `sku` (string, optional) - `name` (string, optional) - `item_type` (enum, optional) - Allowed values: `stock`, `service`, `consumable`, `assembly` - `status` (enum, optional) - Allowed values: `active`, `inactive`, `archived` - `default_uom` (string, optional) - `cost_method` (enum, optional) - Allowed values: `weighted_average`, `fifo`, `lifo`, `specific` - `description` (string, optional, nullable) - `reorder_point` (double, optional, nullable) - `reorder_qty` (double, optional, nullable) - `is_stockable` (boolean, optional, nullable) - `is_purchasable` (boolean, optional, nullable) - `is_sellable` (boolean, optional, nullable) - `is_manufacturable` (boolean, optional, nullable) - `standard_cost` (double, optional, nullable) - `image_url` (string, optional, nullable) - `created_at` (datetime, optional) - `updated_at` (datetime, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "data": { "id": "string", "tenant_id": "string", "sku": "string", "name": "string", "item_type": "stock", "status": "active", "default_uom": "string", "cost_method": "weighted_average", "description": "string", "reorder_point": 1.1, "reorder_qty": 1.1, "is_stockable": true, "is_purchasable": true, "is_sellable": true, "is_manufacturable": true, "standard_cost": 1.1, "image_url": "string", "created_at": "2024-01-15T09:30:00Z", "updated_at": "2024-01-15T09:30:00Z" } } ``` **SDK Code** ```python import requests url = "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products/id" payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products/id'; const options = { method: 'PUT', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products/id" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products/id") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products/id") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products/id', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products/id"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://krjtnboxzkrhejhqtwgm.supabase.co/functions/v1/platform-api/products/id")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```